# Generated by ShowAPI OpenAPI generator
# source: market/3365
# generated-at: 2026-06-26T01:50:14.225Z
openapi: 3.0.3
info:
  title: 网络热点事件分析
  description: 全网聚合多平台热点舆情数据，多维拆解热度、情感、传播与舆论指标，自动生成结构化分析报告，助力快速洞悉网络事件全貌、预判舆论发展趋势。
  termsOfService: https://www.showapi.com/helpcenter/view#/4019/2
  version: 1.0.0
servers:
  - url: https://route.showapi.com
paths:
  /3365-3:
    x-pointCode: 3
    x-mode: mapping
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: 查询历史任务
      description: |-
        注意：历史任务只能查询三天内的
        注意：历史任务只能查询三天内的
        注意：历史任务只能查询三天内的
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  page_size:
                    type: number
                    description: 每页返回多少条历史任务
                  page:
                    type: number
                    description: 当前页码
                  message:
                    type: string
                    description: 调用错误信息
                  code:
                    type: number
                    description: 0表示调用成功
                  total:
                    type: number
                    description: 目前有多少条历史任务
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        task_id:
                          type: string
                          description: 任务id
                        task_status:
                          type: string
                          description: 任务状态
                        output:
                          type: object
                          properties:
                            confidence:
                              type: number
                              description: 新闻性质可信度
                            summary_ai:
                              type: string
                              description: AI新闻总结
                            sentiment:
                              type: string
                              description: 新闻性质
                            analysis:
                              type: string
                              description: 热点新闻分析结果
                            source:
                              type: array
                              items:
                                type: object
                                properties:
                                  site:
                                    type: string
                                  url:
                                    type: string
                              description: 新闻来源（详见返回示例）
                            entities:
                              type: array
                              items:
                                type: string
                              description: 新闻内容中的涉及实体
                            tags:
                              type: array
                              items:
                                type: string
                              description: 新闻标签
                          description: 任务输出
                        create_time:
                          type: string
                          description: 任务创建时间
                        input:
                          type: object
                          properties:
                            news_title:
                              type: string
                              description: 热点新闻标题
                          description: 入参
                    description: 历史任务列表
                  timestamp:
                    type: number
                    description: 时间戳
      operationId: 3365_3_POST
      parameters: []
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                page:
                  type: string
                  description: 查询历史任务的页码
                page_size:
                  type: string
                  description: 每页最多返回多少条任务，最多8条，默认4条
              required:
                - page
  /3365-2:
    x-pointCode: 2
    x-mode: mapping
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: 查询任务
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    description: 0表示调用成功
                  requestId:
                    type: string
                    description: 请求id
                  timestamp:
                    type: number
                    description: 时间戳
                  message:
                    type: string
                    description: 调用错误信息
                  data:
                    type: object
                    properties:
                      progress:
                        type: number
                        description: 任务进度
                      start_time:
                        type: number
                        description: 开始时间戳
                      end_time:
                        type: number
                        description: 任务结束实际
                      task_id:
                        type: string
                        description: 任务id
                      flow_result:
                        type: object
                        properties:
                          output:
                            type: object
                            properties: {}
                          input:
                            type: object
                            properties: {}
                        description: 任务参数（详见返回示例）
                      task_status:
                        type: string
                        description: 任务状态：PENDING（排队中）、RUNNING（处理中）、SUCCEEDED（成功）、FAILED（失败）、CANCELED（已取消）、UNKNOWN（未知）
                    description: 任务信息
      operationId: 3365_2_POST
      parameters: []
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                task_id:
                  type: string
                  description: 工作流执行id
              required:
                - task_id
  /3365-1:
    x-pointCode: 1
    x-mode: mapping
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: 提交任务
      description: 每个任务预计120秒完成
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    description: 0表示调用成功
                  requestId:
                    type: string
                  timestamp:
                    type: number
                    description: 时间戳
                  message:
                    type: string
                    description: 调用报错信息
                  data:
                    type: object
                    properties:
                      task_status:
                        type: string
                        description: 任务状态
                      task_id:
                        type: string
                        description: 任务id
                      start_time:
                        type: number
                        description: 开始时间
      operationId: 3365_1_POST
      parameters: []
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                news_title:
                  type: string
                  description: 热搜新闻标题
              required:
                - news_title
components:
  securitySchemes:
    AppKeyAuth:
      type: apiKey
      in: query
      name: appKey
      description: 从 ShowAPI 控制台获取的 appKey，管理地址：https://www.showapi.com/console#/myApp
security:
  - AppKeyAuth: []
externalDocs:
  url: https://www.showapi.com/apiGateway/view/3365?tab=book
x-apiCode: "3365"
x-is-own: true
x-is-op: true
